Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 681322

Summary: dev-util/devhelp-3.30.1 re-keywording (gui-libs/amtk keywording)
Product: Gentoo Linux Reporter: Mart Raudsepp <leio>
Component: KeywordingAssignee: Gentoo Linux Gnome Desktop Team <gnome>
Status: CONFIRMED ---    
Severity: normal CC: bsd+disabled, mgorny
Priority: Normal Keywords: KEYWORDREQ
Version: unspecifiedFlags: nattka: sanity-check-
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
gui-libs/amtk-5.0.0 dev-util/devhelp-3.30.1 gui-libs/tepl-4.2.0 x86 app-editors/gnome-latex-3.28.1 x86
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 685254    

Description Mart Raudsepp gentoo-dev 2019-03-22 21:38:07 UTC
Target keywords: ~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd
Comment 1 Stabilization helper bot gentoo-dev 2019-03-22 22:03:47 UTC
An automated check of this bug failed - repoman reported dependency errors: 

> dependency.bad dev-util/devhelp/devhelp-3.30.1.ebuild: DEPEND: ~amd64-fbsd(default/bsd/fbsd/amd64/11.1) ['>=net-libs/webkit-gtk-2.20:4[introspection?]']
> dependency.bad dev-util/devhelp/devhelp-3.30.1.ebuild: RDEPEND: ~amd64-fbsd(default/bsd/fbsd/amd64/11.1) ['>=net-libs/webkit-gtk-2.20:4[introspection?]']
Comment 2 Mart Raudsepp gentoo-dev 2019-03-22 22:31:48 UTC
I can't possibly get around this bsd todo/package.use mask entry without removing them from CC...
Comment 3 Stabilization helper bot gentoo-dev 2019-03-22 23:01:28 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 4 Rolf Eike Beer 2019-03-24 16:27:56 UTC
sparc keyworded
Comment 5 Sergei Trofimovich gentoo-dev 2019-03-24 20:29:45 UTC
~ppc keyworded
Comment 6 Sergei Trofimovich gentoo-dev 2019-03-24 20:32:04 UTC
~ppc64 keyworded
Comment 7 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-03-25 21:21:21 UTC
~arm keyworded
Comment 8 Mart Raudsepp gentoo-dev 2019-04-04 11:38:30 UTC
tepl is needed by a gnome-latex (latexila) bump for x86 - tepl is a rename of gtef, which before had x86 keywords (they parallel-install - gtef was essentially SLOT=2 and tepl is SLOT=4 [also had a SLOT=3 we didn't package], but with a rename on top); it in turn needs amtk (amtk was split out of tepl/gtef code). Consequently, please also re-keyword gnome-latex for x86.
Comment 9 Sergei Trofimovich gentoo-dev 2019-04-07 21:57:41 UTC
~ia64 keyworded
Comment 10 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-05-02 21:13:36 UTC
~alpha keyworded
Comment 11 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-05-10 17:38:47 UTC
~x86 keyworded
Comment 12 NATTkA bot gentoo-dev 2020-04-06 15:15:53 UTC
Unable to check for sanity:

> no match for package: gui-libs/amtk-5.0.0